Stock
List Stock Ledger
GET
/
stock
/
ledger
List Stock Ledger
curl --request GET \
--url https://vinmake-erp.onrender.com/stock/ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/stock/ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/stock/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"movementGroupId": "<string>",
"stockLotId": "<string>",
"movementType": "<string>",
"qtyDelta": 123,
"uom": "<string>",
"sourceDocumentType": "<string>",
"stockLotDocumentId": "<string>",
"stockLocationId": "<string>",
"stockLocationName": "<string>",
"balanceAfter": 123,
"unitCost": 123,
"currency": "<string>",
"sourceDocumentId": "<string>",
"sourceLineId": "<string>",
"productionOrderId": "<string>",
"purchaseOrderId": "<string>",
"purchaseOrderLineItemId": "<string>",
"inboundReceiptLineItemId": "<string>",
"shipmentLineItemId": "<string>",
"cutJobId": "<string>",
"sewingSegmentId": "<string>",
"garmentQcReportId": "<string>",
"createdByWorkerId": "<string>",
"createdById": "<string>",
"createdAt": "<string>",
"notes": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Stock Ledger
